> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get users in organization

GET https://api-d.docusign.net/Management/v2/organizations/{organizationId}/users

Returns information about the users in an organization.

You must include at least one of the following query parameters in the request:

- `account_id`: The ID of an account associated with the organization.
- `organization_reserved_domain_id`: The ID of one of the organization's reserved domains.
- `email`: An email address associated with the users that you want to return.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `user_read`.

Reference: https://developers.docusign.com/docs/admin-api/reference/usermanagement/users/getusers

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID Guid

### Query parameters

- `start` (integer, optional) — Index of first item to include in the response. The default value is 0.
- `take` (integer, optional) — Page size of the response. The default value is 20.
- `end` (integer, optional) — Index of the last item to include in the response. Ignored if `take` parameter is specified.
- `email` (string, optional) — Email address of the desired user. At least one of email, account_id or organization_reserved_domain_id must be specified.
- `email_user_name_like` (string, optional) — Selects users by pattern matching on the user's email address
- `status` (string, optional) — Status.
- `membership_status` (string, optional) — The user's membership status. One of: - `activation_required` - `activation_sent` - `active` - `closed` - `disabled`
- `account_id` (string, optional) — Select users that are members of the specified account. At least one of email, account_id or organization_reserved_domain_id must be specified.
- `organization_reserved_domain_id` (string, optional) — Select users that are in the specified domain. At least one of email, account_id or organization_reserved_domain_id must be specified.
- `last_modified_since` (string, optional) — Select users whose data have been modified since the date specified; account_id or organization_reserved_domain_id must be specified.
- `include_ds_groups` (boolean, optional) — Select users with groups the users belong to; The organization must have entitlement `AllowMultiApplication` enabled.
- `include_license` (boolean, optional) — When true: additional details about the user's license will be included in the response; account_id must be specified and the account must have an IAM plan with licenses.

## Response

### 200

OK

- `users` (list of OrganizationUserResponse, optional) — A list of users.
- `paging` (PagingResponseProperties, optional)

## Types

### OrganizationUserResponse

Information about a user.

- `id` (string, optional) — The user's unique ID.
- `user_name` (string, optional) — The full name of the user.
- `first_name` (string, optional) — The user's first name.
- `last_name` (string, optional) — The user's last name.
- `user_status` (string, optional) — The user's status. One of: - `active` - `created` - `closed`
- `membership_status` (string, optional) — The user's membership status. One of: - `activation_required` - `activation_sent` - `active` - `closed` - `disabled`
- `email` (string, optional) — The email address.
- `created_on` (datetime, optional) — The date the user's account was created.
- `membership_created_on` (datetime, optional) — The date on which the user became a member of the organization.
- `ds_groups` (list of DSGroupResponse, optional)
- `membership_id` (string, optional)
- `closed_on` (datetime, optional)
- `is_managed_by_scim` (boolean, optional)
- `is_membership_managed_by_scim` (boolean, optional)
- `license_type` (string, optional)
- `membership_closed_on` (datetime, optional)
- `plan_name` (string, optional)
- `subscription_id` (string, optional)

### PagingResponseProperties

- `result_set_size` (integer, optional) — The number of items in a result set (page).
- `result_set_start_position` (integer, optional) — The index position of the first result in this set.
- `result_set_end_position` (integer, optional) — The index position of the last result in this set.
- `total_set_size` (integer, optional) — The total number of results.
- `next` (string, optional) — A URL to the next set of results.
- `previous` (string, optional) — A URL to the previous set of results.

### DSGroupResponse

- `ds_group_id` (string, optional)
- `account_id` (string, optional) — Select users that are members of the specified account. At least one of `email`, `account_id` or `organization_reserved_domain_id` must be specified.
- `source_product_name` (string, optional)
- `group_id` (string, optional)
- `group_name` (string, optional)
- `description` (string, optional)
- `is_admin` (boolean, optional)
- `last_modified_on` (datetime, optional)
- `user_count` (integer, optional)
- `external_account_id` (long, optional)
- `account_name` (string, optional)
- `is_managed_by_scim` (boolean, optional)

## Examples

**Response**

```json
{
  "users": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "user_name": "string",
      "first_name": "string",
      "last_name": "string",
      "user_status": "string",
      "membership_status": "string",
      "email": "string",
      "created_on": "2024-01-15T09:30:00Z",
      "membership_created_on": "2024-01-15T09:30:00Z",
      "ds_groups": [
        {
          "ds_group_id": "00000000-0000-0000-0000-000000000000",
          "account_id": "00000000-0000-0000-0000-000000000000",
          "source_product_name": "string",
          "group_id": "string",
          "group_name": "string",
          "description": "string",
          "is_admin": true,
          "last_modified_on": "2024-01-15T09:30:00Z",
          "user_count": 1,
          "external_account_id": 1,
          "account_name": "string",
          "is_managed_by_scim": true
        }
      ],
      "membership_id": "00000000-0000-0000-0000-000000000000",
      "closed_on": "2024-01-15T09:30:00Z",
      "is_managed_by_scim": true,
      "is_membership_managed_by_scim": true,
      "license_type": "string",
      "membership_closed_on": "2024-01-15T09:30:00Z",
      "plan_name": "string",
      "subscription_id": "string"
    }
  ],
  "paging": {
    "result_set_size": 1,
    "result_set_start_position": 1,
    "result_set_end_position": 1,
    "total_set_size": 1,
    "next": "string",
    "previous": "string"
  }
}
```